From b17671cfd6a5092804fef78bb379451270f6cbd2 Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: Feb 23 2017 08:23:28 +0000
Subject: [PATCH 767/1001] Fix Flake8 errors


---

diff --git a/hubs/tests/test_fedora_hubs_flask_api.py b/hubs/tests/test_fedora_hubs_flask_api.py
index b704c1d..9e66de1 100644
--- a/hubs/tests/test_fedora_hubs_flask_api.py
+++ b/hubs/tests/test_fedora_hubs_flask_api.py
@@ -2,11 +2,8 @@ from __future__ import unicode_literals
 
 import unittest
 from six.moves.urllib.parse import urlparse
-import ast # import for string to dict conversion without unicode
 
 from flask import json
-from os.path import dirname
-import vcr
 from mock import mock
 from werkzeug.datastructures import ImmutableMultiDict
 
@@ -16,8 +13,6 @@ from hubs.app import app
 
 import hubs.models
 
-import fedmsg.config
-
 
 class HubsAPITest(hubs.tests.APPTest):
     def test_index_logged_out(self):
@@ -237,7 +232,8 @@ class HubsAPITest(hubs.tests.APPTest):
         data = {"position": "left"}
         user = tests.FakeAuthorization('ralph')
         with tests.auth_set(app, user):
-            result = self.app.post('/ralph/add', data=data, follow_redirects=False)
+            result = self.app.post(
+                '/ralph/add', data=data, follow_redirects=False)
         self.assertEqual(result.status_code, 400)
         expected_str = 'Invalid request sent'
         self.assertIn(expected_str, result.get_data(as_text=True))
@@ -247,7 +243,8 @@ class HubsAPITest(hubs.tests.APPTest):
                 'position': 'right'}
         user = tests.FakeAuthorization('ralph')
         with tests.auth_set(app, user):
-            result = self.app.post('/ralph/add', data=data, follow_redirects=False)
+            result = self.app.post(
+                '/ralph/add', data=data, follow_redirects=False)
         self.assertEqual(result.status_code, 404)
         expected_str = 'Unknown widget called'
         self.assertIn(expected_str, result.get_data(as_text=True))
@@ -398,7 +395,7 @@ class HubsAPITest(hubs.tests.APPTest):
             self.assertEqual(result.status_code, 404)
 
     def mocked_requests_get(*args, **kwargs):
-        class MockResponse:
+        class MockResponse:  # flake8: noqa
             def __init__(self, json_data, status_code):
                 self.json_data = json_data
                 self.status_code = status_code
@@ -513,9 +510,3 @@ class HubsAPITest(hubs.tests.APPTest):
         result = self.app.get(url)
         self.assertEqual(result.status_code, 403)
         self.assertEqual(result.get_data(as_text=True), 'User does not exist')
-
-
-
-
-if __name__ == '__main__':
-    unittest.main()

